Page MenuHomePhabricator

Testing Phabricator after the Bugzilla migration, before reopening
Closed, ResolvedPublic

Description

Let's agree what needs to be tested after the Bugzilla migration is completed, before reopening phabricator.wikimedia.org:

  • Number of tasks
  • Number of comments?
  • Number of attachments?
  • Number of BZ tickets with PATCH_TO_REVIEW status vs (open) Phab tasks with Patch-For-Review keyword?
  • Number of BZ tickets with VERIFIED status vs (resolved etc) Phab tasks with Verified keyword?
  • Pick a sample of 20 bugs and check that everything looks as good as in bugzillapreview.
  • Test a sample of attachments previously affected by T815.
  • Submit a couple of private tasks and check that only the authorized users can access them.
  • Test all the Bugzilla redirect cases agreed.
  • Test that bzimport has started to assign Bugzilla activity to Phabricator users.
  • Check that pywikipedia-bugs receives bugmail from Phab to verify Herald rules set up in T496

Anything else?

Event Timeline

Qgil created this task.Nov 11 2014, 1:54 PM
Qgil updated the task description. (Show Details)
Qgil raised the priority of this task from to Normal.
Qgil added a project: Bugzilla-Migration.
Qgil changed Security from none to None.
Qgil moved this task from Backlog to Need discussion on the Bugzilla-Migration board.
Qgil added a subscriber: Qgil.
Qgil updated the task description. (Show Details)Nov 12 2014, 1:47 PM
Aklapper updated the task description. (Show Details)Nov 19 2014, 5:52 PM
Aklapper updated the task description. (Show Details)Nov 20 2014, 7:57 PM
Qgil assigned this task to Aklapper.
Aklapper closed this task as Resolved.Nov 24 2014, 2:56 AM
  • Number of tasks -- could not easily be queried
  • Number of comments? -- could not easily be queried
  • Number of attachments? -- could not easily be queried
  • First BZ ID: https://bugzilla.wikimedia.org/show_bug.cgi?id=1 - corresponding item 2001 (+2000)
  • Last BZ ID: https://bugzilla.wikimedia.org/show_bug.cgi?id=73681 - corresponding item 75681 (+2000)
  • Number is always +2000: Tested with 10 random tickets
  • Ticket with many tickets: 8455 - all 166 comments are there
  • Checked several tickets which all have correct metadata imported, Priority correctly set, TMs and dependency bugs correct: 44662
  • Priority: Checked Highest and Immediate in 44662 and 44673 and both converted correctly to "Unbreak now"
  • Dependencies/Blocks/Blocked By: Looks good in 4007 and 2001
  • Keywords: 377 Phab tasks with tag "easy" and "open/stalled" status in Phab; same number of open tickets in BZ
  • Keywords: "tracking" conversion to project, looks good: https://phabricator.wikimedia.org/project/view/134/
  • Problematic "image/icon" mime type attachments (1244): Behaves as expected, tested in 41486
  • Migration of Bugzilla PATCH_TO_REVIEW status into Patch-For-Review tag - 838 tickets in BZ; 857 in Phab and 19 with a number lower than 2000
  • Migration of VERIFIED status into a "verified" tag
    • Correct: BZ21592 VERIFIED LATER -> 23592 closed,declined is correct
    • Correct: BZ61449 VERIFIED INVALID -> 63449 closed,invalid is correct
    • Correct: BZ61598 VERIFIED WONTFIX -> 63598 closed,declined is correct
    • Correct: BZ69670 VERIFIED DUPLICATE -> 63598 closed,resolved is correct
    • Correct: BZ69385 VERIFIED WORKSFORME -> 71385 closed,declined is correct
  • wikibugs-l removed as assignee and added as subscriber worked; 75636 has wikibugs-l in the "Subscribers" field (wikibugs-l could not be set on any Security tickets imported from BZ). Setting wikibugs-l on all is handled in 763
  • Test a sample of attachments previously affected by 815:
    • issues which were affected by 815:
      • 75274 - all comments and data correct
      • 74505 - all comments and data correct
      • 2412 - all comments and data correct
      • 2067 - all comments and data correct
    • issues with attachments which were affected by 815:
      • 59789 - all comments and attachments and data correct
      • 53010 - all comments and attachments and data correct
      • 51944 - all comments and attachments and data correct
      • 11444 - all comments and attachments and data correct
      • 8455 - all comments and attachments and data correct
  • Security: 73394 - patch-for-review added but does not show up in search when being logged out, or logged in with an account without membership in Security group
  • Security: Search for "Patch-for-review" tag being logged out, logged in with normal account, logged in with Sec group account: Results match (Number of Phab tickets as non-Sec user + Number of tickets in BZ under Security product with Patch_to_review status = Number of Phab tickets as Sec user)
  • Security: 64130 has attachment
    • Can see ticket as member of Sec group; cannot see as normal user "Access Denied: Restricted Task"; logged out user is asked for login
    • Direct link to attachment file: Can see ticket as member of Sec group; cannot see as normal user "File Link Has Expired"; logged out user is asked for login
    • Link to attachment https://phabricator.wikimedia.org/F12845 : Can see ticket as member of Sec group; cannot see as normal user "Access Denied: Restricted File"; logged out user is asked for login
  • Security: Herald automatically setting restrictions was tested in 1063
  • Security: Joining one of the imported Security projects is not possible for non-admins (and even if so it would still not expose any tickets, tried that too)
  • Test all the Bugzilla redirect cases agreed: https://www.mediawiki.org/wiki/Phabricator/versus_Bugzilla#Bugzilla_URLs_and_their_redirects.
  • Security: Created Sec task 75685 as admin user. Tried to access task and attachment as anonymous and unprivileged logged-in user. Behaving as tested above (yesterday) and expected.
  • Security: Created Sec task 75686 as unproviliged user, removed "security" project but Herald kept visibility and edit policy.
  • Security: Chase Testing
    • Created 75687 as luser (unpriv user)
    • Custom policy is created that allows security + author
    • projects are maintained
    • herald rule is set to ALWAYS run (every task save) ...
    • I removed security project while still set as secbug and it let me. It should ensure this project.
    • security project is added to issues NEWLY set as security-bug
    • issues which are not new do not get set as security-bug
    • author has access and can edit ticket but _not_ policy
    • any security member can edit policy
    • set as security none and mangled ACL, that is fine, rest as security-bug and ACL is reinforced
  • Check that pywikipedia-bugs receives bugmail from Phab to verify Herald rules set up in 496 - sorted out now but took a while.
  • Assignee: Test that bzimport has started to assign Bugzilla activity to Phabricator users / Assigning/merging accounts/previous contributions: Andre has 192 BZ tickets assigned in BZ; 262 tickets in Phab; 70 tickets created before 2000.
  • Assignee: Found that in rare cases assignee was not set; Chase fixed the code and re-ran.